-- 
-- Created by SQL::Translator::Producer::MySQL
-- Created on Tue Oct  7 11:32:53 2008
-- 
SET foreign_key_checks=0;

DROP TABLE IF EXISTS `role`;
--
-- Table: `role`
--
CREATE TABLE `role` (
  `name` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB;

DROP TABLE IF EXISTS `user`;
--
-- Table: `user`
--
CREATE TABLE `user` (
  `id` integer(16) NOT NULL auto_increment,
  `login` varchar(255) NOT NULL,
  `fullname` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE `login` (`login`)
) ENGINE=InnoDB;

DROP TABLE IF EXISTS `user_roles`;
--
-- Table: `user_roles`
--
CREATE TABLE `user_roles` (
  `id` integer(16) NOT NULL auto_increment,
  `user_login` varchar(255) NOT NULL,
  `role_name` varchar(255) NOT NULL,
  INDEX (`role_name`),
  INDEX (`user_login`),
  PRIMARY KEY (`id`),
  UNIQUE `ur_user_role` (`user_login`, `role_name`),
  CONSTRAINT `fk_role_name` FOREIGN KEY (`role_name`) REFERENCES `role` (`name`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_user_login` FOREIGN KEY (`user_login`) REFERENCES `user` (`login`)
) ENGINE=InnoDB;

SET foreign_key_checks=1;

