package Schema;

use strict;
use warnings;

use base qw/DBIx::Class::Schema/;

=head1 NAME

Schema - Database schema for testing Oracle deploy through DBIx::Class and SQL::Translator

=head1 VERSION

Version 0.01

=cut

our $VERSION = 0.01;

my @classes = qw( User Role UserRoles );

__PACKAGE__->load_classes(@classes);

=head1 SEE ALSO

http://search.cpan.org/perldoc?DBIx::Class::Schema

=head1 AUTHOR

Peter Edwards, C<< <peter at dragonstaff.co.uk> >>

=head1 COPYRIGHT & LICENSE

Copyright 2008 Peter Edwards, all rights reserved.

This program is free software; you can redistribute it and/or modify it
under the same terms as Perl itself.

=cut

1; # End of Schema
