-- 
-- Created by SQL::Translator::Producer::SQLite
-- Created on Tue Oct  7 11:32:53 2008
-- 
BEGIN TRANSACTION;


--
-- Table: role
--
DROP TABLE role;
CREATE TABLE role (
  name varchar(255) NOT NULL,
  description varchar(255) NOT NULL,
  PRIMARY KEY (name)
);


--
-- Table: user
--
DROP TABLE user;
CREATE TABLE user (
  id INTEGER PRIMARY KEY NOT NULL,
  login varchar(255) NOT NULL,
  fullname varchar(255) NOT NULL
);

CREATE UNIQUE INDEX login_user ON user (login);

--
-- Table: user_roles
--
DROP TABLE user_roles;
CREATE TABLE user_roles (
  id INTEGER PRIMARY KEY NOT NULL,
  user_login varchar(255) NOT NULL,
  role_name varchar(255) NOT NULL
);

CREATE UNIQUE INDEX ur_user_role_user_roles ON user_roles (user_login, role_name);

COMMIT;
